restinio::utils::metaprogramming::impl::head_of< T > Struct Template Reference

`#include <metaprogramming.hpp>`

## Public Types

using | type = T

## Detailed Description

template<typename T>
struct restinio::utils::metaprogramming::impl::head_of< T >

Definition at line 69 of file metaprogramming.hpp.

## Member Typedef Documentation

## type

template<typename T >

using restinio::utils::metaprogramming::impl::head_of< T >::type = T

Definition at line 71 of file metaprogramming.hpp.

The documentation for this struct was generated from the following file:

- restinio/utils/metaprogramming.hpp